<template>
	<view>

		<view class="width94 comorder mart10">
			<view class="height100p width94 goodsimg">
				<image class="flleft" mode="widthFix" :src="imageUrl+couponList.couponImg"></image>
				<view class="tcrig">
					<view class="font18 fontwig6 fcor333 text1">{{couponList.couponName}}</view>
					<view class="font13  fcor666 mart10">规格: 默认</view>
					<view class="price-number mart10" v-if="isDiscont">
						<view class="price font16" v-if="couponList.payType == 1">￥{{couponList.salesPrice}}</view>
						<view class="price font16" v-else>
							<image style="width: 15px;height: 15px;" src="../../static/img/jfx.png">
							</image>{{couponList.salesPrice * 100}}
						</view>
						<view class="flright fotrt paddleft10">x1</view>
					</view>
					<view class="price-number mart10" v-if="!isDiscont">
						<view class="price font16" v-if="couponList.payType == 1">￥{{couponList.discountPrice}}</view>
						<view class="price font16" v-else>
							<image style="width: 15px;height: 15px;" src="../../static/img/jfx.png">
							</image>{{couponList.discountPrice*100}}
						</view>

						<view class="number fcor666 font13 margle"
							v-if="couponList.payType == 1 && couponList.salesPrice != couponList.discountPrice">
							￥{{couponList.salesPrice}}
						</view>
						<view class="number fcor666 font13 margle"
							v-if="couponList.payType != 1 && couponList.salesPrice != couponList.discountPrice">
							<image style="width: 15px;height: 15px;" src="../../static/img/jfh.png">
							</image>{{couponList.salesPrice*100}}
						</view>
						<view class="flright fotrt paddleft10">x1</view>
					</view>
				</view>
			</view>
			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					商品总额
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor999"
					v-if="couponList.payType == 1 && isDiscont">
					￥{{couponList.salesPrice}}
				</view>
				<view class="width40 flright alijun paddtright10 font15 fontwig6 fcor666 aliitem"
					v-if="couponList.payType != 1 && isDiscont">
					<image style="width: 15px;height: 15px;" src="../../static/img/jfx.png">
					</image>{{couponList.salesPrice*100}}
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor999"
					v-if="couponList.payType == 1 && !isDiscont">
					￥{{couponList.discountPrice}}
				</view>
				<view class="width40 flright alijun paddtright10 font15 fontwig6 fcor666 aliitem"
					v-if="couponList.payType != 1 && !isDiscont">
					<image style="width: 15px;height: 15px;" src="../../static/img/jfx.png">
					</image>{{couponList.discountPrice*100}}
				</view>
			</view>

			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					配送费
				</view>
				<view class="width40 flright alijun paddtright10 font15 fontwig6 fcor666">
					￥0
				</view>
			</view>

			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff" @click="showPopup()">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					优惠抵扣<text class="yhqky">{{UserNormalDiscountList.length}}张可用</text>
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;" v-if="deductionPrice == 0">
					未使用
					<image style="width: 40rpx;height: 40rpx;" src="../../static/img/jt.png"></image>
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcoreb5 alijun"
					style="align-items: center;" v-else>
					-￥{{deductionPrice}}
					<image style="width: 40rpx;height: 40rpx;" src="../../static/img/jt.png"></image>
				</view>
			</view>
		</view>

		<view class="width94 backcorfff mart10">
			<view class="width94 alijusstart height50 font14 fcor666">
				<view class="width40 fcor333 fontwig6 font16" style="padding-left: 2%;">邀请码</view>
				<input class="width60 fotrt font15" v-model="identificationCode" placeholder="请输入邀请码" />
			</view>
		</view>

		<view class="width94 comorder mart10">
			<view class="height50 width100 backcorfff">
				<view class="width100 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					支付方式<text class="jfrecharge" @click="jumpdeposits" v-if="couponList.payType == 2">积分充值</text>
				</view>
			</view>
			<view class="width94 line1 mart5 marb5" v-if="couponList.payType == 2"></view>
			<view class="height50 width100 backcorfff" @tap="paytype='jinbi'" v-if="couponList.payType == 2 ">
				<view class="width70 flleft fcor333 fontwig6 font16 text1" style="padding-left: 4%;">
					积分支付<text class="font14 fcor666 margle">可用积分: {{user.gold}}</text>
				</view>
				<view class="width20 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;">
					<radio :checked="paytype=='jinbi'" color="#0083f5" />
				</view>
			</view>
			<view class="width94 line1 mart5 marb5" v-if="couponList.payType != 2"></view>
			<view class="height50 width100 backcorfff" @tap="paytype='unionPay'" v-if="couponList.payType != 2">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					银联支付
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;">
					<radio :checked="paytype=='unionPay'" color="#0083f5" />
				</view>
			</view>
			<view class="width94 line1 mart5 marb5" v-if="couponList.payType == 2"></view>
			<view class="height50 width100 backcorfff" @tap="paytype='gonghuika'" v-if="couponList.payType == 2">
				<view class="width70 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					工会卡支付<text class="font14 fcor666 margle">可用余额: {{tongCardPrice}}元</text>
				</view>
				<view class="width20 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;">
					<radio :checked="paytype=='gonghuika'"  @click="changeRiado()"  color="#0083f5" />
				</view>
			</view>
			<!-- <view class="width94 line1 mart5 marb5" v-if="couponList.displayArea == 4"></view>
			<view class="height50 width100 backcorfff" @tap="paytype='unionPaystags'"
				v-if="couponList.displayArea == 4">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					银联分期
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;">
					<radio :checked="paytype=='unionPaystags'" color="#0083f5" />
				</view>
			</view> -->

		</view>

		<!-- <view class="width94 comorder mart10">
			<view class="height50 width100 backcorfff">
				<view class="width80p flleft fcor333 fontwig6 font14" style="padding-left: 4%;">
					<text style="color: #0083F5;">《条约协议》</text>点击立即支付，即代表同意
				</view>
				<view class="width15 flright fotct">
					<image class="jtcs" src="../../static/img/jt.png"></image>
				</view>
			</view>
		</view> -->

		<view class="width100 height60"></view>
		<view class="footer">
			<view class="settlement">
				<view class="sum">实付:<view class="money" v-if="couponList.payType == 1">￥{{paytheprice}}</view>
					<view class="money aliitem" v-else>
						<image style="width: 15px;height: 15px;vertical-align: sub;" src="../../static/img/jfx.png">
						</image>{{paytheprice*100}}
					</view>
				</view>
				<!-- #ifdef MP -->
				<button class="btn" open-type="getPhoneNumber" v-if="user.phone == null"
					@getphonenumber="getPhoneNumber">立即支付</button>
				<button class="btn" v-else @tap="toPay">立即支付</button>
				<!-- #endif -->
				<!-- #ifdef H5 -->
				<button class="btn" v-if="user.phone == null" @click="jumpH5Bding">立即支付</button>
				<button class="btn" v-else @tap="toPay">立即支付</button>
				<!-- #endif -->

			</view>
		</view>

		<wybPopup ref="popup" type="bottom" width="500" radius="6" :showCloseIcon="true">
			<view class="fotct font18 fontwig6 fcor333 mart10 height30">优惠券选择</view>
			<view class="width92 height110 tccs mart10" v-for="(items, index) in UserNormalDiscountList" :key="items"
				@click="radioChanges(items)">
				<image mode="widthFix" class="flleft" :src="imageUrl+items.highDiscount.discountImg"></image>
				<view class="tcrig">
					<view class="yhprice">
						<radio :checked="items.highDiscount.id == memDiscountId" color="#0083f5" />
					</view>
					<view class="font16 fontwig6 fcor333 text1">{{items.highDiscount.discountName}}</view>
					<view class="font13 fcor999 mart5">有效期至：{{items.highDiscount.salesEndTime | formatDate('-')}}</view>

				</view>
			</view>
		</wybPopup>
		<ssPaymentPassword ref="paymentPassword" :mode="1" @submit="submitHandle" />
	</view>
</template>

<script>
	import {
		addOrder,
		getCouponById,
		GetPhoneNumber,
		getUserNormalDiscountList,
		bindUserPhone,
		orderToPay,
		orderToGoldPay,
		findUser,
		unionPay,
		hltUnionCardPay,
		getHuiLianTongCardBalance
	} from '../../Utils/Api.js';
	import wybPopup from '../../components/wyb-popup/wyb-popup.vue';
	import ssPaymentPassword from '../../components/sanshui-payment-password'
	let app = getApp();

	export default {
		components: {
			wybPopup,
			ssPaymentPassword
		},
		data() {
			return {
				buylist: [], //订单列表
				goodsPrice: 0.0, //商品合计价格
				sumPrice: 0.0, //用户付款价格
				freight: 12.00, //运费
				note: '', //备注
				int: 1200, //抵扣积分
				deduction: 0, //抵扣价格
				couponId: '',
				couponList: [],
				UserNormalDiscountList: [],
				imageUrl: app.globalData.imgUrl,
				deductionPrice: '0.00',
				paytheprice: '',
				radioStatus: true,
				memDiscountId: '',
				user: '',
				paytype: '',
				PaymentPassword: '',
				orderId: '',
				jumpType: '',
				tongCardPrice: 0,
				storeId: '',
				isDiscont: false,
				coupondiscountid: '',
				typeId: '',
				identificationCode: '' //渠道商

			};
		},
		onLoad(option) {
			this.couponId = option.id;
			this.typeId = option.typeid;
			this.getCouponById();
		},
		onShow() {
			let that = this;
			that.paytype = '';
			that.user = app.globalData.userInfo;
			that.getUserNormalDiscountList();
			that.findUser();
		},
		onHide() {

		},
		onBackPress() {
			//页面后退时候，清除订单信息
		},
		filters: {
			toFixed: function(x) {
				return parseFloat(x).toFixed(2);
			},
			//过滤器 用于格式化时间
			formatDate: function(value, spe = '/') {
				let data = new Date(value);
				let year = data.getFullYear();
				let month = data.getMonth() + 1;
				let day = data.getDate();
				let h = data.getHours();
				let mm = data.getMinutes();
				let s = data.getSeconds();
				month = month >= 10 ? month : "0" + month;
				day = day >= 10 ? day : "0" + day;
				h = h >= 10 ? h : "0" + h;
				mm = mm >= 10 ? mm : "0" + mm;
				s = s >= 10 ? s : "0" + s;
				return `${year}${spe}${month}${spe}${day} ${h}:${mm}:${s}`;
			}
		},
		methods: {
			//查询积分
			findUser() {
				let params;
				findUser(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.userInfo = res.return_data;
						this.user = res.return_data;
						if (this.user.hltCardNo) {
							this.getHuiLianTongCardBalance();
						}
						uni.setStorage({
							key: "user",
							data: res.return_data
						})
					}
				});
			},
			//查询工会卡余额
			//查询详情
			getHuiLianTongCardBalance() {
				let params = {
					cardNo: this.user.hltCardNo.cardNo
				}
				getHuiLianTongCardBalance(params).then(res => {
					if (res.return_code == '000000') {
						this.tongCardPrice = res.return_data.balance;
					}

				});
			},
			//查询卡券详情
			getCouponById() {
				uni.showLoading({
					title: '加载中...'
				})
				let params = {
					couponId: this.couponId
				}
				getCouponById(params).then(res => {
					if (res.return_code == '000000') {
						this.couponList = res.return_data;
						this.paytheprice = res.return_data.discountPrice;
						uni.hideLoading()
					} else {
						uni.hideLoading()
					}
				})
			},
			//显示弹出
			showPopup() {
				this.$refs.popup.show();
			},

			radioChanges(item) {
				if (this.memDiscountId == item.highDiscount.id) { // 如果已经选中，则取消选中
					this.memDiscountId = '';
					this.coupondiscountid = '';
					this.paytheprice = this.couponList.discountPrice;
					this.deductionPrice = '0.00';
					this.isDiscont = false;
				} else { // 否则进行选中赋值
					this.isDiscont = true;
					this.memDiscountId = item.highDiscount.id;
					this.coupondiscountid = item.id;
					if (item.highDiscount.discountType == 1) {
						//满减价格
						this.deductionPrice = item.highDiscount.discountPrice;
						this.paytheprice = parseFloat(this.couponList.salesPrice - this.deductionPrice).toFixed(2);
					} else if (item.highDiscount.discountType == 2) {
						//抵扣价格
						this.deductionPrice = item.highDiscount.discountPrice;
						this.paytheprice = parseFloat(this.couponList.salesPrice - this.deductionPrice).toFixed(2);
					} else if (item.highDiscount.discountType == 3) {
						// 打折		
						this.deductionPrice = parseFloat(this.couponList.salesPrice - (this.couponList.salesPrice *
							item
							.highDiscount.discountPrice)).toFixed(2)
						this.paytheprice = parseFloat(this.couponList.salesPrice * item.highDiscount.discountPrice)
							.toFixed(2);
					}
				}
				this.$refs.popup.hide();
			},
			//查询优惠券详情
			getUserNormalDiscountList() {
				let params = {
					couponId: this.couponId
				}
				getUserNormalDiscountList(params).then(res => {
					if (res.return_code == '000000') {
						this.UserNormalDiscountList = res.return_data;
					}
				})
			},
			// H5获取手机号
			jumpH5Bding() {
				uni.navigateTo({
					url: '/pages/login/register?id=2'
				})
			},
			// 微信获取手机号
			getPhoneNumber(PhoneNumber) {
				let params = {
					openId: app.globalData.openId,
					iv: PhoneNumber.detail.iv,
					encryptedData: PhoneNumber.detail.encryptedData
				}
				GetPhoneNumber(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.userInfo = res.return_data
							.object
							.highUser;
						this.user = res.return_data
							.object
							.highUser;
						uni.setStorage({
							key: "user",
							data: res.return_data
								.object
								.highUser
						})
						let that = this;
						that.toPay();
					}
				});
			},
			toPay() {
				if (this.paytype == '') {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				uni.showLoading({
					title: '提交订单中...'
				})
				if (this.couponList.reserveStatus) {
					this.storeId = app.globalData.storeid
				}
				let goods = {
					"memDiscountId": this.coupondiscountid,
					"identificationCode": this.identificationCode,
					"highChildOrderList": [{
						"goodsType": 1,
						"goodsId": this.couponId,
						"saleCount": 1,
						"storeId": this.storeId
					}]
				}
				addOrder(goods).then(res => {
					if (res.return_code == '000000') {
						uni.hideLoading();
						this.jumpType = res.return_data.highChildOrderList[0].ext1;
						this.orderId = res.return_data.id;
						this.orderToPay(res.return_data);
					} else {
						uni.hideLoading();
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//获取选择支付方式
			changeRiado() {
				if (!this.user.isSetHltCard) {
					uni.showToast({
						icon: 'none',
						title: '当前账号还未绑定,前往绑定',
						duration: 2000,
						success() {
							setTimeout(() => {
								uni.navigateTo({
									url: '../user/bindingCard/bindingCard'
								})
							}, 1000)
						}
					});
					return;
				}
			},
			//获取订单数据
			orderToPay(item) {
				let that = this;
				if (that.paytype == 'jinbi') {
					if (that.user.gold < that.paytheprice * 100) {
						uni.showToast({
							icon: 'none',
							title: '积分不足',
							duration: 2000,
							success() {
								setTimeout(() => {
									uni.navigateTo({
										url: '../user/deposit/deposit'
									})
								}, 1000)
							}
						});
						return;
					}
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../login/updatePas/updatePas'
						})
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				} else if (that.paytype == 'unionPay') {
					that.unionPay();
				} else if (that.paytype == 'unionPaystags') {
					//银联分期支付
					uni.redirectTo({
						url: '../tabBar/order/stagesUrl/stagesUrl?orderid=' + that.orderId
					})
				} else if (that.paytype == 'gonghuika') {
					if (that.tongCardPrice < that.paytheprice) {
						uni.showToast({
							icon: 'none',
							title: '工会卡余额不足',
							duration: 2000,
						});
						return;
					}
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../login/updatePas/updatePas'
						})
						return;
					}
					if (!that.user.isSetHltCard) {
						uni.showToast({
							icon: 'none',
							title: '当前账号还未绑定,前往绑定',
							duration: 2000,
							success() {
								setTimeout(() => {
									uni.navigateTo({
										url: '../user/bindingCard/bindingCard'
									})
								}, 1000)
							}
						});
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				} else {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
				}
			},

			//银联获取信息
			unionPay() {
				let goods = {
					"orderId": this.orderId
				}
				unionPay(goods).then(res => {
					if (res.return_code == '000000') {
						this.uniontopay(res.return_data.prepayid);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//银联支付
			uniontopay(item) {
				let that = this;
				upsdk.pluginReady(function() {
					upsdk.pay({
						tn: item,
						success: function(res) {
							uni.showToast({
								title: '支付成功'
							})
							app.globalData.storeid = '';
							app.globalData.storename = '';
							uni.reLaunch({
								url: '../pay/success/success?id=' + that.couponId
							});
						},
						fail: function(err) {
							uni.showToast({
								title: err.msg,
								icon: 'none',
								duration: 2000
							})
							// 支付失败, err.msg 是失败原因描述, 比如TN号不合法, 或者用户取消了交易 等等。
						}
					});
				});
			},
			//支付密码弹出
			submitHandle(e) {
				this.PaymentPassword = e.value;
				if (this.PaymentPassword == '') {
					uni.showToast({
						title: '请勿手动关闭弹窗',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				uni.showLoading({
					title: '支付中...'
				})
				if (this.paytype == 'jinbi') {
					let params = {
						"orderId": this.orderId,
						"password": this.PaymentPassword
					}
					orderToGoldPay(params).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							uni.showToast({
								title: '支付成功'
							})
							uni.reLaunch({
								url: '../pay/success/success?id=' + this.couponId
							});
						}
						if (res.return_code == '102130') {
							uni.navigateTo({
								url: '../../login/updatePas/updatePas'
							})
						}
						uni.showToast({
							title: res.return_msg,
							icon: 'none'
						})
					})
					return;
				}
				
				let params = {
					"orderId": this.orderId,
					"cardNo": this.user.hltCardNo.cardNo,
					"password": this.PaymentPassword
				}
				hltUnionCardPay(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						uni.showToast({
							title: '支付成功'
						})
						app.globalData.storeid = '';
						app.globalData.storename = '';
						uni.reLaunch({
							url: '../pay/success/success?id=' + this.couponId
						});
						return;
					}
					if (res.return_code == '102130') {
						uni.navigateTo({
							url: '../../login/updatePas/updatePas'
						})
						return;
					}
					uni.showToast({
						title: res.return_msg,
						icon: 'none'
					})
				})
			},
			//跳转积分充值
			jumpdeposits() {
				uni.navigateTo({
					url: '../user/deposit/deposit'
				})
			}
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #f7f7f7;
	}

	.comorder {
		background-color: #FFFFFF;
		border-radius: 8px;
	}

	.jtcs {
		width: 40rpx;
		height: 40rpx;
		margin-top: 30rpx;
	}


	.jfrecharge {
		background-color: #0083f5;
		padding: 5px 20rpx;
		color: #fff;
		margin-left: 50%;
		justify-content: center;
		align-items: center;
		font-size: 30rpx;
		border-radius: 40rpx;
	}

	.goodsimg {
		align-items: center;
		display: flex;

		image {
			width: 170rpx;
			max-height: 170rpx;
		}
	}

	.yhprice {
		width: 100%;
		height: 25px;
		text-align: right;
		margin-top: -20px;
	}

	.price-number {
		width: 100%;
		display: flex;
		justify-content: space-between;
		align-items: flex-end;
		font-size: 28upx;
		height: 40upx;

		.price {
			color: #FE4545;
			display: flex;
			max-width: 50%;
			align-items: center;
		}

		.number {
			display: flex;
			align-items: center;
			width: 50%;
			text-decoration: line-through;

		}
	}

	.yhqky {
		background: #ff0034;
		color: #ffffff;
		font-size: 14px;
		padding-left: 5px;
		padding-right: 5px;
		margin-left: 8px;
		padding-top: 2px;
		padding-bottom: 2px;
	}



	.addr {
		width: 86%;
		padding: 20upx 3%;
		margin: 30upx auto 20upx auto;
		box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
		border-radius: 20upx;
		display: flex;

		.icon {
			width: 80upx;
			height: 80upx;
			display: flex;
			align-items: center;

			image {
				width: 60upx;
				height: 60upx;
			}
		}

		.tel-name {
			width: 100%;
			display: flex;
			font-size: 32upx;

			.tel {
				margin-left: 40upx;
			}
		}

		.addres {
			width: 100%;
			font-size: 26upx;
			color: #999;
		}
	}

	.tccs {
		box-shadow: 0rpx 0rpx 10rpx rgba(0, 0, 0, 0.2);
		border: 1px solid #f6f6f6;
		border-radius: 8px;
		align-items: center;
		display: flex;

		image {
			width: 170rpx;
			max-height: 170rpx;
		}
	}

	.tcrig {
		margin-left: 20rpx;
	}

	.info {
		display: flex;
		justify-content: space-between;
		align-items: flex-end;
		width: 92%;
	}

	.order {
		width: 86%;
		padding: 10upx 3%;
		margin: 30upx auto 20upx auto;
		box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
		border-radius: 20upx;

		.row {
			margin: 20upx 0;
			height: 40upx;
			display: flex;

			.left {
				font-size: 28upx;
			}

			.right {
				margin-left: 40upx;
				font-size: 26upx;
				color: #999;

				input {
					font-size: 26upx;
					color: #999;
				}
			}
		}
	}

	.footer {
		width: 92%;
		padding: 0 4%;
		background-color: #fbfbfb;
		height: 100upx;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		font-size: 28upx;
		position: fixed;
		bottom: 0upx;
		z-index: 5;

		.settlement {
			width: 100%;
			display: flex;
			justify-content: flex-end;
			align-items: center;

			.sum {
				width: 68%;
				font-size: 18px;
				margin-right: 10upx;
				display: flex;
				justify-content: flex-start;

				.money {
					color: #eb5823;
					font-weight: 600;
				}
			}

			.btn {
				padding: 0 45rpx;
				height: 80rpx;
				background-color: #0083f5;
				color: #fff;
				display: flex;
				justify-content: center;
				align-items: center;
				font-size: 30upx;
				border-radius: 40upx;
			}
		}
	}

	.goods-list {
		width: 100%;
		padding: 0;

		.tis {
			width: 100%;
			height: 60upx;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 32upx;
		}

		.row {
			width: calc(92%);
			height: calc(22vw + 40upx);
			margin: 20upx auto;

			border-radius: 15upx;
			box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
			display: flex;
			align-items: center;
			position: relative;
			overflow: hidden;
			z-index: 4;
			border: 0;

			.menu {
				.icon {
					color: #fff;
					// font-size: 25upx;
				}

				position: absolute;
				width: 30%;
				height: 100%;
				right: 0;
				display: flex;
				justify-content: center;
				align-items: center;
				background-color: red;
				color: #fff;
				z-index: 2;
			}

			.carrier {
				.checkbox-box {
					padding-left: 20upx;
					flex-shrink: 0;
					height: 22vw;
					margin-right: 20upx;
				}

				position: absolute;
				width: 94%;
				margin-left: 3%;
				padding: 0 0;
				height: 100%;
				z-index: 3;
				display: flex;
				align-items: center;

				.goods-info {
					width: 100%;
					display: flex;
					padding-right: 20upx;

					.img {
						width: 22vw;
						height: 22vw;
						border-radius: 10upx;
						overflow: hidden;
						flex-shrink: 0;
						margin-right: 10upx;

						image {
							width: 22vw;
							height: 22vw;
						}
					}

					.info {
						width: 100%;
						height: 22vw;
						overflow: hidden;
						display: flex;
						flex-wrap: wrap;
						position: relative;

						.title {
							width: 100%;
							font-size: 16px;
							display: -webkit-box;
							-webkit-box-orient: vertical;
							-webkit-line-clamp: 2;
							// text-align: justify;
							overflow: hidden;
						}

						.spec {
							font-size: 14px;
							color: #a7a7a7;
							height: 30upx;
							display: flex;
							align-items: center;
							padding: 0;
							border-radius: 15upx;
							margin-bottom: 20vw;
						}

						.price-number {
							position: absolute;
							width: 100%;
							bottom: 0upx;
							display: flex;
							justify-content: space-between;
							align-items: flex-end;
							font-size: 28upx;
							height: 60upx;
						}
					}
				}
			}
		}
	}
</style>
